Subject: Re: bug#43120: 28.0.50; fido-mode: M-j before completions appear selects wrong choice

From: João Távora <[email-masked]>
Date: Mon, 7 Sep 2020 11:37:01 +0100

On Mon, Sep 7, 2020 at 11:30 AM Lars Ingebrigtsen <[email-masked]> wrote:

> That does look like a much simpler and less invasive way to implement
> this; yes.  (And you'd presumably remove the stuff that was added for
> 19032 already?)

Yes, I'd revert both the original patch and the fixup.

> But I was wondering whether there were any other use cases where the
> newly added stuff would be useful...  but perhaps not?

This is for Stefan to say: he's the "owner" of minibuffer.el.  Sorry Stefan
if
you're not, I just nominated you.  Anyway, I kind of screech at any
added complexity there, hence this simple suggestion.

Anyway, I'd risk committing my patch to master while we evaluate
this. Or maybe let's hear from Stefan first.

João

[Also I'm moving this to 19032's thread exclusively, since 43120 is fixed]